﻿@using SharedCode.Localization
@model SharedCode.Identity.Models.IAppUserModel

@{
    ViewBag.Title = "Register";
}

<body>
    @using (Html.BeginForm(controllerName: AppStrings.LoginControllerName, actionName: AppStrings.RegisterActionName, method: FormMethod.Post))
    {
        <div class="container login-container">
            <div class="row justify-content-center">
                <div class="col-md-6 login-form">
                    <h3>@LanguageStrings.RegisterPageTitle</h3>
                    <form>
                        <div class="form-group">
                            @Html.TextBoxFor(m => m.Email, new { @class = "form-control", @placeholder = LanguageStrings.AppUserModelEmail })
                        </div>
                        <div class="form-group">
                            @Html.ValidationMessageFor(m => m.Email, String.Empty, new { @style = "color:maroon;!important" })
                        </div>
                        <div class="form-group">
                            @Html.PasswordFor(m => m.PasswordHash, new { @class = "form-control", @placeholder = LanguageStrings.AppUserModelPassword, @autocomplete = "off" })
                        </div>
                        <div class="form-group">
                            @Html.ValidationMessageFor(m => m.PasswordHash, String.Empty, new { @style = "color:maroon;!important" })
                        </div>
                        <div class="form-group">
                            @if (TempData[AppStrings.ErrorMessageTag] != null)
                            {
                                <label style="color:maroon;"> @TempData[AppStrings.ErrorMessageTag] </label>
                            }
                        </div>
                        <div class="form-group">
                            <input type="submit" class="btnSubmit mr-1" value="@LanguageStrings.RegisterButtonTitle" />
                        </div>
                    </form>
                </div>
            </div>
        </div>
    }
</body>

